antiprism-0.23
Up Next

# waterman - Waterman polyhedra

Usage | Examples | Notes

## Usage

    Usage: waterman [options] lattice

    Use sphere-ray intersection for producing waterman polyhedra. Lattice can be
    SC, FCC, or BCC

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -r <r,n>  clip radius. r is radius taken to optional root n. n = 2 is sqrt
      -q <cent> center of lattice, in form "x_val,y_val,z_val" (default: origin)
      -m <mthd> 1 - sphere-ray intersection  2 - z guess (default: 1)
      -C <opt>  c - convex hull only, i - keep interior, s - supress (default: c)
      -t        defeat computational error testing for sphere-ray method
      -v        verbose output (on computational errors)
      -l <lim>  minimum distance for unique vertex locations as negative exponent
                   (default: 12 giving 1e-12)
      -o <file> write output to file (default: write to standard output)

    Coloring Options (run 'off_util -H color' for help on color formats)
      -V <col>  vertex color
      -E <col>  edge color (if convex hull)
      -F <col>  face color (if convex hull)
                   lower case outputs map indexes. upper case outputs color values
                   key word: s,S color by symmetry using face normals
                   key word: c,C color by symmetry using face normals (chiral)
      -T <tran> face transparency. valid range from 0 (invisible) to 255 (opaque)

## Examples

Make a Root 10 Waterman polyhedron

    waterman -r 10,2 fcc | antiview

Make a Root 100 Waterman polyhedron, with symmetrically coloured faces

    waterman -r 100,2 fcc -F S | antiview

Make a Root 100 Waterman polyhedron centred on an octahedron centre, with symmetrically coloured faces

    waterman -q 0.5,0.5,0.5 -r 100,2 fcc -F S | antiview

## Notes

waterman was written by Roger Kaufman (with contributions from Adrian Rossiter.)

For more details about these polyhedra see Waterman Polyhedra on Steve Waterman's site.

The program uses an efficient algorithm that makes it suitable for calculating Waterman polyhedra up to root 1,000,000 and more.

Up: Programs and Documentation
Next: n_icons - sphericon like polyhedra